#ifndef _meshDatabaseLib3_h_
#define _meshDatabaseLib3_h_

#include "lib3ds.h"

struct meshDatabaseLib3 {  

  private:

    meshListLib3		  meshList;
    meshLib3		    	*mesh;
    FILE              *inputFile;

  public:

    void addMesh(char *name);
    void addPointArray();
    void addPointFlagArray();
    void addFaceArray();
    void addMeshMatGroup();
    void addSmoothArray();
    void addTextVertArray();
    void addMeshMatrix();

    meshListLib3 *dbGetMeshList();
    meshLib3 *dbGetMesh(int);

    meshDatabaseLib3(FILE *);
    ~meshDatabaseLib3();
};

#endif
