#ifndef _kframeDatabaseLib3_h_
#define _kframeDatabaseLib3_h_

#include "lib3ds.h"

struct kframeDatabaseLib3 {  

  private:

    kframeListLib3	  kframeList;
    kfmeshLib3        *kframe;

    FILE              *inputFile;

    int               nodeIdFound;

  public:

    void addKFandNode(int);
    void addHeader();
    void addPivot();
    void addInstanceName();
    void addBoundingBox();
    void addPositionTT();
    void addRotationTT();
    void addScaleTT();

    kfmeshLib3 *dbGetKframe(char *);
    kfmeshLib3 *dbGetKframeInstanceByIndex(char *, int);
    int dbGetMeshInstanceCount(char *);

    kframeDatabaseLib3(FILE *);
    ~kframeDatabaseLib3();
};

#endif
